PostgreSQL 7.1.3 Documentation
Prev |  | Next

# SPI_fname

## Name

SPI_fname -- Finds the attribute name for the specified attribute

## Synopsis

    SPI_fname(tupdesc, fname)

### Inputs

TupleDesc `tupdesc`

  Input tuple description

char * `fnumber`

  Attribute number

### Outputs

char *

  Attribute name

  NULL if fnumber is out of range
  SPI_result set to SPI_ERROR_NOATTRIBUTE on error

## Description

`SPI_fname` returns the attribute name for the specified attribute.

## Usage

Attribute numbers are 1 based.

## Algorithm

Returns a newly-allocated copy of the attribute name.

Prev | Home | Next
SPI_fnumber | Up | SPI_getvalue